Description

When dealing with a layer with hundreds of features in a small number of classes (i.e. almost all entries are the same in the attribute

table), it's often needed to specially label a few. It's almost impossible in 1.8.0 to determine which feature is which under these conditions

at present. If the identify info could include the database entry number (the left hand column in the attribute table) along with the present

info, such identification would be easy.

History

#1 - 2013-04-06 10:08 AM - Giovanni Manghi

- Status changed from Open to Feedback

do you need to identify features that are under other ones?

#2 - 2013-04-06 12:02 PM - John Sankey

Yes in the case of classified features, but I've been able to see the labels in all the cases I've met up with - it's possible the label collision system is dealing

with it. Other cases can be dealt with by temporarily not showing other layers.

#3 - 2013-04-06 12:09 PM - Jürgen Fischer

The identify result contains the feature id in the "derived" branch.

#4 - 2013-04-06 12:19 PM - John Sankey

True, but in all cases I'm dealing with (Canadian CanVec data), all fields are the same for all instances of a particular classification so the id field isn't

unique. Only the entry number is unique in such datasets. All Canadian classified data I've found is this way.

#5 - 2013-04-06 01:30 PM - Jürgen Fischer

John Sankey wrote:

True, but in all cases I'm dealing with (Canadian CanVec data), all fields are the same for all instances of a particular classification so the id field

isn't unique. Only the entry number is unique in such datasets.

I was talking about the feature id, not a field named "id".  The feature id is unique in a layer.
#6 - 2013-04-06 01:44 PM - John Sankey

- File Screen_shot_2013-04-06_at_4.41.37_PM.png added

Please see 1.8.0 response to id request. No 'feature id' here.

#7 - 2013-04-06 01:48 PM - Giovanni Manghi

John Sankey wrote:

Please see 1.8.0 response to id request. No 'feature id' here.

that is because in the general option you configured qgis to show the feature form if just one feature is identified.

#8 - 2013-04-06 01:52 PM - Jürgen Fischer

John Sankey wrote:

Please see 1.8.0 response to id request. No 'feature id' here.

Because you were referring to the feature form, while I was referring to the identify result window - which I thought you were also referring to.   I suppose

you have enabled "open feature form, when only one feature is identified" and that's why you get the form.

#9 - 2013-04-06 02:00 PM - John Sankey

Finally a solution! That's the way it was installed. I've now unchecked the box and get the feature id# I need.

Thanks.
#10 - 2013-04-07 02:20 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed

Files
